//+------------------------------------------------------------------+
//|                                                        .mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
extern double Lots=0.1;
extern int TakeProfit=16;
extern int StopLoss=24;
extern int Enter=8;

  int NumberOfPositions(string sy="", int op=-1, int mn=-1) {
  int i, k=OrdersTotal(), kp=0;

  if (sy=="0") sy=Symbol();
  for (i=0; i<k; i++) {
    if (OrderSelect(i, SELECT_BY_POS, MODE_TRADES)) {
      if (OrderSymbol()==sy || sy=="") {
        if (OrderType()==OP_BUY || OrderType()==OP_SELL) {
          if (op<0 || OrderType()==op) {
            if (mn<0 || OrderMagicNumber()==mn) kp++;
          }
        }
      }
    }
  }
  return(kp);
}
void DeleteOrders(string sy="", int op=-1, int mn=-1) {
  int i, k=OrdersTotal(), ot;
 
  if (sy=="" || sy=="0") sy=Symbol();
  for (i=0; i<k; i++) {
    if (OrderSelect(i, SELECT_BY_POS, MODE_TRADES)) {
      ot=OrderType();
      if (ot==OP_BUYLIMIT || ot==OP_BUYSTOP || ot==OP_SELLLIMIT || ot==OP_SELLSTOP) {
        if (OrderSymbol()==sy && (op<0 || ot==op)) {
          if (mn<0 || OrderMagicNumber()==mn) {
            OrderDelete(OrderTicket(), CLR_NONE);
          }
        }
      }
    }
  }
}
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
 double mSL=Ask-StopLoss*Point;       //  
 double mTP=Ask+TakeProfit*Point;     //   
 
 double ent_sell=OrderOpenPrice()-Enter*Point; //     
 double osSL=OrderTakeProfit();                //     
 double osTP=OrderStopLoss();                  //  
 
 double ent_buy=OrderOpenPrice()+Enter*Point;  //     
 double obSL=OrderTakeProfit();                 //      
 double obTP=OrderStopLoss();                   // 
 
 double ent_sell2=OrderOpenPrice()-Enter*Point;  //     
 double os1SL=OrderTakeProfit();
 double os1TP=OrderStopLoss();
 
 int tic1, tic2,tic3,tic4;
 double tic1op;
 int t=0;
 
 for(int a=1;a>t;a++){ 
  if(OrdersTotal()==0)
   tic1=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,mSL,mTP,"",111,0,CLR_NONE);
  if((NumberOfPositions()==1)&&(OrdersTotal()==1)) 
   tic2=OrderSend(Symbol(),OP_SELLSTOP,2*Lots,ent_sell,3,osSL,osTP,"",222,0,CLR_NONE);
  if((NumberOfPositions()==2)&&(OrdersTotal()==2)){ 
   tic3=OrderSend(Symbol(),OP_BUYSTOP,4*Lots,ent_buy,3,obSL,os1TP,"",333,0,CLR_NONE);
  }
   if(tic3<0)
    Print("orders error",GetLastError());
   if(NumberOfPositions()==0){DeleteOrders();}{t++;}
    }
    
   return(0);
  }
//+------------------------------------------------------------------+